This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1468711 - openshift-logging deployer creates an empty project called mux-undefined
openshift-logging deployer creates an empty project called mux-undefined
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.6.0
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Vikram Goyal
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 13:08 EDT by Mike Fiedler
Modified: 2017-09-20 10:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Fiedler 2017-07-07 13:08:00 EDT
Description of problem:

Version-Release number of the following components:

root@ip-172-31-31-187: /tmp # rpm -q openshift-ansible
openshift-ansible-3.6.136-1.git.0.ac6bb62.el7.noarch
root@ip-172-31-31-187: /tmp # rpm -q ansible
ansible-2.2.3.0-1.el7.noarch
root@ip-172-31-31-187: /tmp # ansible --version
ansible 2.2.3.0
  config file = /etc/ansible/ansible.cfg
  configured module search path = Default w/o overrides


How reproducible: Always

Steps to Reproduce:
1.  Run byo/openshift-cluster/openshift-logging.yaml with inventory below

Actual results:

Empty project names mux-undefined is created

Expected results:

No unexpected projects with odd names
Comment 1 Scott Dodson 2017-07-07 15:08:44 EDT
Looks like the inventory is missing. Marking this as 3.7, move it to 3.6.1 if you think it's more critical than that.
Comment 2 Mike Fiedler 2017-07-07 15:26:27 EDT
[oo_first_master]
ip-172-31-31-187

[oo_first_master:vars]
openshift_deployment_type=openshift-enterprise
openshift_release=v3.6.0

openshift_logging_install_logging=true
openshift_logging_use_ops=false
openshift_logging_master_url=https://ec2-34-212-83-5.us-west-2.compute.amazonaws.com:8443
openshift_logging_master_public_url=https://ec2-34-212-83-5.us-west-2.compute.amazonaws.com:8443
openshift_logging_kibana_hostname=kibana.example.com
openshift_logging_namespace=logging
openshift_logging_image_prefix=registry.ops.openshift.com/openshift3/
openshift_logging_image_version=v3.6.136
openshift_logging_es_cluster_size=3
openshift_logging_es_pvc_dynamic=true
openshift_logging_es_pvc_size=10Gi
openshift_logging_fluentd_use_journal=true
openshift_logging_use_mux=true
openshift_logging_use_mux_client=true
Comment 3 Mike Fiedler 2017-09-06 13:54:50 EDT
I think this should go to the logging guys.   They are actually using mux-undefined I believe.  This might not be a bug or might need that (IMO) bad name changed.
Comment 4 Jeff Cantrill 2017-09-20 09:44:18 EDT
Rich, I'm assigning for comment here.
Comment 5 Rich Megginson 2017-09-20 10:04:06 EDT
required by mux - see https://github.com/openshift/origin-aggregated-logging/blob/master/docs/mux-logging-service.md

I guess we just need to document this

Note You need to log in before you can comment on or make changes to this bug.